package com.snowm.scanner.helpers

import android.content.Context
import android.content.Intent
import android.os.Bundle


class SnowMBackgroundScanner() {
    companion object {
        fun startBackgroundScanning(context: Context, uuids: ArrayList<String>, title: String, body: String, customData: HashMap<String, Any>) {
            val mServiceIntent = Intent()
            mServiceIntent.setPackage(context.packageName)
            mServiceIntent.action = "com.snowm.scanner.BACKGROUND_SCANNER"
            val bundle = Bundle()
            bundle.putString("title", title)
            bundle.putString("body", body)
            bundle.putSerializable("customData", customData)
            bundle.putStringArrayList("uuids", uuids)
            mServiceIntent.putExtras(bundle)
            context.startService(mServiceIntent)
        }
        fun stopBackgroundScanning(context: Context){
            val mServiceIntent = Intent()
            mServiceIntent.setPackage(context.packageName)
            mServiceIntent.action = "com.snowm.scanner.BACKGROUND_SCANNER"
            context.stopService(mServiceIntent)
            println("stopped")


        }
    }

}