package com.snowm.scanner.services

import android.content.BroadcastReceiver
import android.content.Context
import android.content.Intent
import com.snowm.scanner.helpers.SnowMBackgroundScanner.Companion.startBackgroundScanning

class ScannerBroadcastReceiver : BroadcastReceiver() {
    override fun onReceive(context: Context, intent: Intent) {
        val extra = intent.extras ?: return
        val title = extra.getString("title") ?: return
        val body = extra.getString("body") ?: return
        val uuids = extra.getStringArrayList("uuids") ?: return
        startBackgroundScanning(context, uuids, title, body,  HashMap())
    }
}