package com.snowm.scanner_example

import android.util.Log
import com.snowm.scanner.models.SnowMiBeacon
import com.snowm.scanner.services.SnowMBackgroundScanningService
import java.util.*
import kotlin.collections.HashMap

class BackgroundScanner : SnowMBackgroundScanningService() {


    override fun onBeaconsDetected(beacons: ArrayList<SnowMiBeacon>, customData: HashMap<String,Any>) {
        super.onBeaconsDetected(beacons, customData)
        Log.d("Scanner","Scanned beacons")
        beacons.forEach {
            Log.d("Scanner",it.uuid)
        }
    }
}